/* TYPOGRAPHY */ 
@font-face {
  font-family: 'Open Sans', sans-serif;
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/open-sans-v27-latin-regular.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('../fonts/open-sans-v27-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('../fonts/open-sans-v27-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('../fonts/open-sans-v27-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('../fonts/open-sans-v27-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('../fonts/open-sans-v27-latin-regular.svg#OpenSans') format('svg'); /* Legacy iOS */
}

body {
    font-family: "Open sans", sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    background: #fff;
    /*background:#f7f7f7;*/
    font-size:13px;
    line-height:1.45;
    color:#000;
}

.modal-header {
    cursor: move;
}

#spinner-overlay {
    position: fixed;
    top: 0; left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(255, 255, 255, 0.85);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    transition: opacity 0.5s ease;
}

/* Hide overlay when not active */
#spinner-overlay.hidden {
    opacity: 0;
    pointer-events: none;
}

div.spinner {
  position: relative;
  width: 54px;
  height: 54px;
  display: block;
  margin: 0;
  background: transparent;
  padding: 10px;
  border-radius: 10px;
}

div.spinner div {
  width: 4%;
  height: 16%;
  background: #888;
  position: absolute;
  left: 49%;
  top: 43%;
  opacity: 0;
  -webkit-border-radius: 50px;
  -webkit-box-shadow: 0 0 3px rgba(0,0,0,0.2);
  -webkit-animation: fade 1s linear infinite;
}

@-webkit-keyframes fade {
  from {opacity: 1;}
  to {opacity: 0.25;}
}

div.spinner div.bar1 {
  -webkit-transform:rotate(0deg) translate(0, -130%);
  -webkit-animation-delay: 0s;
}    

div.spinner div.bar2 {
  -webkit-transform:rotate(30deg) translate(0, -130%); 
  -webkit-animation-delay: -0.9167s;
}

div.spinner div.bar3 {
  -webkit-transform:rotate(60deg) translate(0, -130%); 
  -webkit-animation-delay: -0.833s;
}
div.spinner div.bar4 {
  -webkit-transform:rotate(90deg) translate(0, -130%); 
  -webkit-animation-delay: -0.7497s;
}
div.spinner div.bar5 {
  -webkit-transform:rotate(120deg) translate(0, -130%); 
  -webkit-animation-delay: -0.667s;
}
div.spinner div.bar6 {
  -webkit-transform:rotate(150deg) translate(0, -130%); 
  -webkit-animation-delay: -0.5837s;
}
div.spinner div.bar7 {
  -webkit-transform:rotate(180deg) translate(0, -130%); 
  -webkit-animation-delay: -0.5s;
}
div.spinner div.bar8 {
  -webkit-transform:rotate(210deg) translate(0, -130%); 
  -webkit-animation-delay: -0.4167s;
}
div.spinner div.bar9 {
  -webkit-transform:rotate(240deg) translate(0, -130%); 
  -webkit-animation-delay: -0.333s;
}
div.spinner div.bar10 {
  -webkit-transform:rotate(270deg) translate(0, -130%); 
  -webkit-animation-delay: -0.2497s;
}
div.spinner div.bar11 {
  -webkit-transform:rotate(300deg) translate(0, -130%); 
  -webkit-animation-delay: -0.167s;
}
div.spinner div.bar12 {
  -webkit-transform:rotate(330deg) translate(0, -130%); 
  -webkit-animation-delay: -0.0833s;
}


.hide-on-laptop,
.show-on-desktop {
    display: none !important;
    white-space: nowrap !important;
	
}

@media (min-width: 1700px) {
    .show-on-desktop {
        display: inline !important;
    }	
    .show-on-laptop {
        display: none !important;
    }
}
@media (max-width: 1700px) {
    .show-on-laptop {
        display: inline !important;
    }
	
	.pl-3, .px-3 {
		padding-left: 0.5rem !important;
	}
}
@media (max-width: 1446px) {
    .show-on-desktop {
        display: none !important;
    }	
    .show-on-laptop {
        display: none !important;
    }
	

}

.show-on-driver {
    display: inline !important;
}

@media (min-width: 1500px) {
	.cards-container {
		display: flex;
		align-items: flex-start;
		column-width: 200px;        /* minimum column width */
		column-gap: 10px;           /* space between columns */
		column-count: auto;
	}
}
@media (max-width: 1499px) {
	.cards-container {
		display: flex;
		align-items: flex-start;
		column-width: 150px;        /* minimum column width */
		column-gap: 10px;           /* space between columns */
		column-count: auto;
	}
}

.client-column {
	max-width: 150px; 
}


.card {
    break-inside: avoid;        /* prevents cards from splitting */
    width: 100% !important;
}

/* views font sizes */

.card_client, .card_trailer, .card_date, .card_offload, .card_offload_note, .card_load, .card_load_note, .card_info, .card_truck, .card_note {
	font-size: 13px;
}

.card_note { white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }

.card_client, .card_trailer, .card_truck {
	text-transform: uppercase;
}

.uppercase {
	text-transform: uppercase;
}

#yhteinen_muistio, #muistio { font-size: 15px; line-height: 20px;}

.pac-container { z-index: 999999 !important; }
.pac-container { position: absolute !important; }

section {
    margin-top: 70px;
}

a {
    color:#222;
}
a:hover, .btn-link:hover {
    color: #23527c;
    text-decoration: none;
}

h1, h2, h3, h4 {
  margin: 0.5em 0 0.5em;
  font-weight: inherit;
  line-height: 1.2;
  font-family: inherit;
  /* letter-spacing: -0.03em; */
  color:#000;
}


/* logo without underline */
.navbar-nav .navbar-brand:hover, .navbar-nav .navbar-brand:active {
border-bottom: 1px solid transparent;
} 


header a {
    color:#F2EDE9;
    font-family: inherit;
    border-bottom: 1px solid transparent;
    text-decoration: none;
    transition: all 0.5s ease-in-out;
}

header a.btn {
    color:#F2EDE9;
    font-family: inherit;
    border-bottom: 1px solid transparent;
    text-decoration: none;
    transition: all 0.5s ease-in-out;
	font-size: inherit;
}

nav a:hover {
  border-bottom: 1px solid #F2EDE9;
  text-decoration: none;
    color:#F2EDE9;
}

nav .active a {
  border-bottom: 1px solid #F2EDE9;
  text-decoration: none;
    color:#F2EDE9;
}

.dropdown-item {
    display: block;
    width: 100%;
    padding: .25rem 1.5rem;
    clear: both;
    font-weight: 400;
    color: #212529 !important;
    text-align: inherit;
    white-space: nowrap;
    background-color: transparent;
    border: 0;
        border-bottom-color: currentcolor;
        border-bottom-style: none;
        border-bottom-width: 0px;
        font-size: 14px;
}

.dropdown-item:hover {
    display: block;
    width: 100%;
    padding: .25rem 1.5rem;
    clear: both;
    font-weight: 400;
    color: #212529 !important;
    text-align: inherit;
    white-space: nowrap;
    background-color:rgba(0,0,0,.09);
    border: 0;
        border-bottom-color: currentcolor;
        border-bottom-style: none;
        border-bottom-width: 0px;
        font-size: 14px;
}

.dropdown-item.active, .dropdown-item:active {
	color: #212529;
	text-decoration: none;
	background-color: #c3e6cb;
}

.button-page-length {
    display: block;
    width: 100%;
    padding: .25rem 1.5rem;
    clear: both;
    font-weight: 400;
    color: #212529 !important;
    text-align: inherit;
    white-space: nowrap;
    background-color: transparent;
    border: 0;
        border-bottom-color: currentcolor;
        border-bottom-style: none;
        border-bottom-width: 0px;
        font-size: inherit;
}

.button-page-length:hover {
    display: block;
    width: 100%;
    padding: .25rem 1.5rem;
    clear: both;
    font-weight: 400;
    color: #212529 !important;
    text-align: inherit;
    white-space: nowrap;
    background-color:rgba(0,0,0,.05);
    border: 0;
        border-bottom-color: currentcolor;
        border-bottom-style: none;
        border-bottom-width: 0px;
        font-size: inherit;
}

.nav-link {
	color: #495057;
	background-color: #f6f6f6;
	border: 1px solid #ddd !important;
	border-top-left-radius: .25rem;
	border-top-right-radius: .25rem;
	display: block;
}

#header {
    width:100%;
    display:block;
    padding: 0;
    transition: all 0.5s ease-in-out;
    font-size: inherit;
	background: #171c1ad6;
	height: 55px;
    }

.navbar-toggler {
    border-radius:0;
    position: absolute;
    top: 6px;
    right: 10px;
    z-index: 9999;
}

@media (max-width: 768px) {

    .navbar-collapse {
        position: absolute;
        top:0;
        left:0;
        width:100%;
		background: #2f4254d1 !important;
    } 	
	
    .nav-item {
		margin-top:5px; 
        margin-bottom:5px; 
    } 	
	
}

.truck-placeholder {
    border: 1px dashed orange;
    height: 40px;
    margin-bottom: 5px;
}

.truck.selected {
    border: 2px solid orange !important;
    background: orange;
}

.drag-stack {
    opacity: 0.6;
}

.truck.dragging {
    /* Hide but preserve space */
    visibility: hidden !important;
}

.vapaa {
    color: #A9D8B7;
}

.varattu {
    color: #dee2e6;
}

.client-column .sortable-placeholder {
    height: 180px; 
	width: 150px;
    border: 2px dashed green;
    border-radius: 6px;
    margin-bottom: 6px;
    opacity: 0.9;
    display: block !important;
    flex: 0 0 auto !important;
}

.client-column .ui-sortable-handle {
	width:100%;
	max-width: 150px;
}


.form-control {
	display: block;
	width: 100%;
	padding: .375rem .75rem;
	font-size: inherit;
	line-height: 28px;
	color: #495057;
	background-color: #fff;
	background-clip: padding-box;
	border: 1px solid #ced4da;
	border-radius: .25rem;
	transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.btn {
	display: inline-block;
	font-weight: 400;
	text-align: center;
	white-space: nowrap;
	vertical-align: middle;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	border: 1px solid transparent;
	padding: .375rem .75rem;
	font-size: inherit;
	line-height: 1.5;
	border-radius: .25rem;
	transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.ajojarjestys option.disabled-option {
    background-color: #ddd !important;
    color: #ddd !important;
}



.highlight_today {
	border:1px solid #c3e6cb !important;
}

.btn-primary {
	color:#fff;
    background: #171c1ad6;
	border:1px solid #171c1ad6;
    transition: all 0.35s ease-in;
    line-height: 1.6;
}
.btn-primary:hover {
    color:#eee;
    background:#171c1a;
    border:1px solid #171c1a;
}

.btn-primary:not([disabled]):not(.disabled).active, .btn-primary:not([disabled]):not(.disabled):active, .show > .btn-primary.dropdown-toggle {
	color: #155724;
	background-color: #c3e6cb;
	border:1px solid #171c1a;
}

.btn-primary.red {
	color: #fff !important;
	background-color: #bd2130;
    transition: all 0.35s ease-in;
    border:1px solid transparent;
}

.btn-primary.red:hover {
    background:transparent;
    color:#fff;
    background: #c82333;
}

.btn-primary.green {
    background:#1D7868;
    transition: all 0.35s ease-in;
    border:1px solid transparent;
}
.btn-primary.green:hover {
    color:#F2EDE9;
    background:#268574;
    border:1px solid rgba(255,255,255,.2);
}

.btn-primary.orange {
    background: orange;
    transition: all 0.35s ease-in;
    border:1px solid transparent;
}
.btn-primary.orange:hover {
    background: darkorange;
    border:1px solid rgba(255,255,255,.2);
}

.btn-primary.custom.active {
	color:#212529 !important;
	background-color:#ffc107 !important;
	border:1px solid transparent;
}

.btn-confirmed {
	color:#000;
    background: #c3e6cb;
	border:1px solid #155724;
    transition: all 0.35s ease-in;
    line-height: 1.6;
}
.btn-confirmed:hover {
    color:#000;
    background-color:rgba(0,0,0,.075);
    border:1px solid #484848;
}

.btn-unconfirmed {
	color:#000;
    background: #ffeeba;
	border:1px solid #856404;
    transition: all 0.35s ease-in;
    line-height: 1.6;
}
.btn-unconfirmed:hover {
    color:#000;
    background-color:rgba(0,0,0,.075);
    border:1px solid #484848;
}

.btn-pending {
	color:#000;
    background: #bee5eb;
	border:1px solid #0c5460;
    transition: all 0.35s ease-in;
    line-height: 1.6;
}
.btn-pending:hover {
    color:#000;
    background-color:rgba(0,0,0,.075);
    border:1px solid #484848;
}

.btn-vaativa-1 {
    outline: 2px solid red;
    outline-offset: -2px;
}

.btn-vaativa-1:hover {
    outline: 2px solid red;
    outline-offset: -2px;
}

.btn-vaativa-1:focus {
    outline: 2px solid red;
    outline-offset: -2px;
}

.btn-primary.disabled, .btn-primary:disabled {
  background-color: #171c1ad6;
  border-color: #171c1ad6;
}

.select2-container.is-invalid .select2-selection {
  border-color: #dc3545; 
  box-shadow: 0 0 0 0.2rem rgba(220,53,69,.25);
}

.select2-container--default .select2-selection--single .select2-selection--multiple .select2-selection__choice {
	background-color: #e4e4e4;
	border: 1px solid #aaa;
	border-radius: 4px;
	cursor: default;
	float: left;
	margin-right: 5px;
	margin-top: 5px;
	padding: 0 5px;
}

.select2-container--default .select2-selection--single .select2-selection--multiple .select2-selection__choice {
	background-color: #f9f9f9 !important;
	border: 1px solid #e3e3e3 !important;
	border-radius: 3px;
	cursor: default;
	color: #495057 !important;
	padding: 3px 3px !important;
	float: left;
	margin: 0 !important;
	margin-right: 5px !important;
	position: relative;
	font-size: inherit;
	top: 5px;
	/* transform: translateY(-50%); */
}

.select2-container--default .select2-selection--single .select2-selection--multiple{
	background-color: #fff;
	border: 1px solid #ced4da;
	border-radius: .25rem;
	display: block;
	width: 100%;
	line-height: 1.5;
	color: #495057;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.select2-container--default.select2-container--focus .select2-selection--single .select2-selection--multiple {
  border: 1px solid #ced4da;
  outline: 0;
}

.select2-container--default .select2-selection--multiple {
	background-color: white;
	border: 1px solid #ced4da;
	border-radius: 4px;
	cursor: text;
	height:40px;
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
	border: 1px solid #ced4da !important;
	outline: 0;
}

.select2-container--default .select2-selection--single {
	background-color: #fff;
	border: 1px solid #ced4da;
	border-radius: .25rem;
	display: block;
	width: 100%;
	line-height: 1.5;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
	margin-right: 5px;
	margin-top: 0px;
	padding: 3px 3px !important;
	height: 42px;
	color: #495057 !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
	background-color: #e4e4e4;
	border: 1px solid #aaa;
	border-radius: 4px;
	cursor: default;
	float: left;
	margin-right: 5px;
	margin-top: 5px;
	padding: 0 5px;
	padding-top: 3px;
	height:28px;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
	color: #495057 !important;
	line-height: 33px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
	height: 26px;
	position: absolute;
	top: 7px;
	right: 1px;
	width: 20px;
}

.modal-close i {
	border-radius: 50%;
	cursor: pointer;
	font-size: 17px;
	height: 30px;
	line-height: 30px;
	position: absolute;
	right: -9px;
	text-align: center;
	top: -9px;
	width: 30px;
	color: #fff;
	background-color: #dc3545;
}

.form-group .form-control-icon {
    position: absolute;
	right: 20px;
    z-index: 2;
    display: block;
    width: 2.375rem;
    height: 2.375rem;
    line-height: 2.375rem;
    text-align: center;
}

.reference-image {
    width: 100%;        
    height: 200px;       
    background-size: cover;  
    background-repeat: no-repeat;
    background-position: center;
}

.image_modal {
max-width: 60%; 
max-height: 60vh; 
width: auto;
}

/*==========================================================*/
/* viikkokalenteri
/*==========================================================*/ 

.driver-cell {
    width: 220px;
    white-space: nowrap;
    padding-left: 8px;
    font-weight: 500;
}

.week-header {
    background: #f3f3f3;
    text-align: center;
    font-weight: bold;
    font-size: 13px;
    padding: 4px;
}

.month-header {
    text-align: center;
    font-weight: normal;
    background: #c3e6cb;
    border-right: 1px solid #ccc;
}

.holiday {
    background: orange !important;
}

.calendar-table td {
    width: 26px;
    height: 22px;
    border: 1px solid #ccc;
    cursor: pointer;
    text-align: center;
}

.calendar-table th {
    border: 1px solid #ccc;
}

.calendar-table td.active {
    outline: 2px solid #1D7868;
}

.holiday-count, .week-header, .week-label, .holiday-label, .month-label {
    font-size: 13px;
	font-weight: normal;
	font-weight: 500;
}

/*==========================================================*/
/* Datatable
/*==========================================================*/ 

 .btn-group > .btn {
  margin-left: 2px;
  margin-right: 2px;
}
 
 table.dataTable th, table.dataTable td {
  font-family: inherit;
  font-size: inherit;
  font-weight: inherit;
  color:#171c1a;
}

 table.dataTable {
	border-collapse: collapse !important;
}


.dt-buttons{
float:right;
margin-top: 4px;
}

.dt-buttons .btn {
	display: inline-block;
	font-weight: 400;
	text-align: center;
	white-space: nowrap;
	vertical-align: middle;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	border: 1px solid transparent;
	padding: .375rem .75rem;
	font-size: inherit;
	line-height: 1.5;
	border-radius: .25rem;
	transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
	color:#fff;
    background: #171c1ad6;
	border:1px solid #171c1ad6;
    transition: all 0.35s ease-in;
    line-height: 1.6;
}

.dt-buttons .btn:hover {
    color:#f8f8f8;
    background:#222;
    border:1px solid rgba(255,255,255,.2);
}
      
.dt-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;
}

.pagination {
float:right;
}

div.dataTables_wrapper div.dataTables_info {
  padding-top: 0px !important;
  white-space: nowrap;
}

div.dataTables_wrapper div.dataTables_filter label,
div.dataTables_wrapper div.dataTables_length label {
	margin-bottom: 0px !important;
}

.custom-select {
	background-color: #fff;
	border: 1px solid #ced4da;
	border-radius: .25rem;
	display: block;
	width: 100%;
	line-height: 1.5;
	transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
	margin-right: 5px;
	margin-top: 0px;
	padding: 3px 10px !important;
	height: 42px !important;
	color: #495057 !important;
}


.pagination > .active > a, .pagination > .active > a:focus, .pagination > .active > a:hover, .pagination > .active > span, .pagination > .active > span:focus, .pagination > .active > span:hover  {
background-color: #2bb8c2;
border-color: #2bb8c2;
}

ul.dt-button-collection.dropdown-menu > * {
	-webkit-column-break-inside: avoid;
	break-inside: avoid;
    font-size:inherit;
}

.page-item.active .page-link {
	z-index: 1;
	color: #484848;
	background-color: #c3e6cb;
	border-color: #dee2e6;
}

.page-link {
	position: relative;
	display: block;
	padding: .5rem .75rem;
	margin-left: -1px;
	line-height: 1.25;
	color: #484848;
	background-color: #fff;
	border: 1px solid #dee2e6;
}

.page-link:hover {
	color: #484848;
}

.page-item.active:hover {
	z-index: 1;
	color: #484848;
	background-color: #c3e6cb;
	border-color: #dee2e6;
}


@font-face{
font-family:'Glyphicons Halflings';
src:url('../fonts/glyphicons-halflings-regular.eot');
src:url('../fonts/glyphicons-halflings-regular.eot?#iefix') format('embedded-opentype'),
url('../fonts/glyphicons-halflings-regular.woff') format('woff'),
url('../fonts/glyphicons-halflings-regular.ttf') 
format('truetype'),url('../fonts/glyphicons-halflings-regular.svg#glyphicons-halflingsregular') format('svg');
}
.glyphicon{
position:relative;top:1px;display:inline-block;
font-family:'Glyphicons Halflings';
font-style:normal;
font-weight:normal;
line-height:1;
-webkit-font-smoothing:antialiased;
}
.glyphicon-asterisk:before{content:"\2a";}
.glyphicon-plus:before{content:"\2b";}
.glyphicon-euro:before{content:"\20ac";}
.glyphicon-minus:before{content:"\2212";}
.glyphicon-cloud:before{content:"\2601";}
.glyphicon-envelope:before{content:"\2709";}
.glyphicon-pencil:before{content:"\270f";}
.glyphicon-glass:before{content:"\e001";}
.glyphicon-music:before{content:"\e002";}
.glyphicon-search:before{content:"\e003";}
.glyphicon-heart:before{content:"\e005";}
.glyphicon-star:before{content:"\e006";}
.glyphicon-star-empty:before{content:"\e007";}
.glyphicon-user:before{content:"\e008";}
.glyphicon-film:before{content:"\e009";}
.glyphicon-th-large:before{content:"\e010";}
.glyphicon-th:before{content:"\e011";}
.glyphicon-th-list:before{content:"\e012";}
/* kommentoitu ettei näy formeissa .glyphicon-ok:before{content:"\e013";} */
.glyphicon-remove:before{content:"\e014";}
.glyphicon-zoom-in:before{content:"\e015";}
.glyphicon-zoom-out:before{content:"\e016";}
.glyphicon-off:before{content:"\e017";}
.glyphicon-signal:before{content:"\e018";}
.glyphicon-cog:before{content:"\e019";}
.glyphicon-trash:before{content:"\e020";}
.glyphicon-home:before{content:"\e021";}
.glyphicon-file:before{content:"\e022";}
.glyphicon-time:before{content:"\e023";}
.glyphicon-road:before{content:"\e024";}
.glyphicon-download-alt:before{content:"\e025";}
.glyphicon-download:before{content:"\e026";}
.glyphicon-upload:before{content:"\e027";}
.glyphicon-inbox:before{content:"\e028";}
.glyphicon-play-circle:before{content:"\e029";}
.glyphicon-repeat:before{content:"\e030";}
.glyphicon-refresh:before{content:"\e031";}
.glyphicon-list-alt:before{content:"\e032";}
.glyphicon-flag:before{content:"\e034";}
.glyphicon-headphones:before{content:"\e035";}
.glyphicon-volume-off:before{content:"\e036";}
.glyphicon-volume-down:before{content:"\e037";}
.glyphicon-volume-up:before{content:"\e038";}
.glyphicon-qrcode:before{content:"\e039";}
.glyphicon-barcode:before{content:"\e040";}
.glyphicon-tag:before{content:"\e041";}
.glyphicon-tags:before{content:"\e042";}
.glyphicon-book:before{content:"\e043";}
.glyphicon-print:before{content:"\e045";}
.glyphicon-font:before{content:"\e047";}
.glyphicon-bold:before{content:"\e048";}
.glyphicon-italic:before{content:"\e049";}
.glyphicon-text-height:before{content:"\e050";}
.glyphicon-text-width:before{content:"\e051";}
.glyphicon-align-left:before{content:"\e052";}
.glyphicon-align-center:before{content:"\e053";}
.glyphicon-align-right:before{content:"\e054";}
.glyphicon-align-justify:before{content:"\e055";}
.glyphicon-list:before{content:"\e056";}
.glyphicon-indent-left:before{content:"\e057";}
.glyphicon-indent-right:before{content:"\e058";}
.glyphicon-facetime-video:before{content:"\e059";}
.glyphicon-picture:before{content:"\e060";}
.glyphicon-map-marker:before{content:"\e062";}
.glyphicon-adjust:before{content:"\e063";}
.glyphicon-tint:before{content:"\e064";}
.glyphicon-edit:before{content:"\e065";}
.glyphicon-share:before{content:"\e066";}
.glyphicon-check:before{content:"\e067";}
.glyphicon-move:before{content:"\e068";}
.glyphicon-step-backward:before{content:"\e069";}
.glyphicon-fast-backward:before{content:"\e070";}
.glyphicon-backward:before{content:"\e071";}
.glyphicon-play:before{content:"\e072";}
.glyphicon-pause:before{content:"\e073";}
.glyphicon-stop:before{content:"\e074";}
.glyphicon-forward:before{content:"\e075";}
.glyphicon-fast-forward:before{content:"\e076";}
.glyphicon-step-forward:before{content:"\e077";}
.glyphicon-eject:before{content:"\e078";}
.glyphicon-chevron-left:before{content:"\e079";}
.glyphicon-chevron-right:before{content:"\e080";}
.glyphicon-plus-sign:before{content:"\e081";}
.glyphicon-minus-sign:before{content:"\e082";}
.glyphicon-remove-sign:before{content:"\e083";}
.glyphicon-ok-sign:before{content:"\e084";}
.glyphicon-question-sign:before{content:"\e085";}
.glyphicon-info-sign:before{content:"\e086";}
.glyphicon-screenshot:before{content:"\e087";}
.glyphicon-remove-circle:before{content:"\e088";}
.glyphicon-ok-circle:before{content:"\e089";}
.glyphicon-ban-circle:before{content:"\e090";}
.glyphicon-arrow-left:before{content:"\e091";}
.glyphicon-arrow-right:before{content:"\e092";}
.glyphicon-arrow-up:before{content:"\e093";}
.glyphicon-arrow-down:before{content:"\e094";}
.glyphicon-share-alt:before{content:"\e095";}
.glyphicon-resize-full:before{content:"\e096";}
.glyphicon-resize-small:before{content:"\e097";}
.glyphicon-exclamation-sign:before{content:"\e101";}
.glyphicon-gift:before{content:"\e102";}
.glyphicon-leaf:before{content:"\e103";}
.glyphicon-eye-open:before{content:"\e105";}
.glyphicon-eye-close:before{content:"\e106";}
.glyphicon-warning-sign:before{content:"\e107";}
.glyphicon-plane:before{content:"\e108";}
.glyphicon-random:before{content:"\e110";}
.glyphicon-comment:before{content:"\e111";}
.glyphicon-magnet:before{content:"\e112";}
.glyphicon-chevron-up:before{content:"\e113";}
.glyphicon-chevron-down:before{content:"\e114";}
.glyphicon-retweet:before{content:"\e115";}
.glyphicon-shopping-cart:before{content:"\e116";}
.glyphicon-folder-close:before{content:"\e117";}
.glyphicon-folder-open:before{content:"\e118";}
.glyphicon-resize-vertical:before{content:"\e119";}
.glyphicon-resize-horizontal:before{content:"\e120";}
.glyphicon-hdd:before{content:"\e121";}
.glyphicon-bullhorn:before{content:"\e122";}
.glyphicon-certificate:before{content:"\e124";}
.glyphicon-thumbs-up:before{content:"\e125";}
.glyphicon-thumbs-down:before{content:"\e126";}
.glyphicon-hand-right:before{content:"\e127";}
.glyphicon-hand-left:before{content:"\e128";}
.glyphicon-hand-up:before{content:"\e129";}
.glyphicon-hand-down:before{content:"\e130";}
.glyphicon-circle-arrow-right:before{content:"\e131";}
.glyphicon-circle-arrow-left:before{content:"\e132";}
.glyphicon-circle-arrow-up:before{content:"\e133";}
.glyphicon-circle-arrow-down:before{content:"\e134";}
.glyphicon-globe:before{content:"\e135";}
.glyphicon-tasks:before{content:"\e137";}
.glyphicon-filter:before{content:"\e138";}
.glyphicon-fullscreen:before{content:"\e140";}
.glyphicon-dashboard:before{content:"\e141";}
.glyphicon-heart-empty:before{content:"\e143";}
.glyphicon-link:before{content:"\e144";}
.glyphicon-phone:before{content:"\e145";}
.glyphicon-usd:before{content:"\e148";}
.glyphicon-gbp:before{content:"\e149";}
.glyphicon-sort:before{content:"\e150";}
.glyphicon-sort-by-alphabet:before{content:"\e151";}
.glyphicon-sort-by-alphabet-alt:before{content:"\e152";}
.glyphicon-sort-by-order:before{content:"\e153";}
.glyphicon-sort-by-order-alt:before{content:"\e154";}
.glyphicon-sort-by-attributes:before{content:"\e155";}
.glyphicon-sort-by-attributes-alt:before{content:"\e156";}
.glyphicon-unchecked:before{content:"\e157";}
.glyphicon-expand:before{content:"\e158";}
.glyphicon-collapse-down:before{content:"\e159";}
.glyphicon-collapse-up:before{content:"\e160";}
.glyphicon-log-in:before{content:"\e161";}
.glyphicon-flash:before{content:"\e162";}
.glyphicon-log-out:before{content:"\e163";}
.glyphicon-new-window:before{content:"\e164";}
.glyphicon-record:before{content:"\e165";}
.glyphicon-save:before{content:"\e166";}
.glyphicon-open:before{content:"\e167";}
.glyphicon-saved:before{content:"\e168";}
.glyphicon-import:before{content:"\e169";}
.glyphicon-export:before{content:"\e170";}
.glyphicon-send:before{content:"\e171";}
.glyphicon-floppy-disk:before{content:"\e172";}
.glyphicon-floppy-saved:before{content:"\e173";}
.glyphicon-floppy-remove:before{content:"\e174";}
.glyphicon-floppy-save:before{content:"\e175";}
.glyphicon-floppy-open:before{content:"\e176";}
.glyphicon-credit-card:before{content:"\e177";}
.glyphicon-transfer:before{content:"\e178";}
.glyphicon-cutlery:before{content:"\e179";}
.glyphicon-header:before{content:"\e180";}
.glyphicon-compressed:before{content:"\e181";}
.glyphicon-earphone:before{content:"\e182";}
.glyphicon-phone-alt:before{content:"\e183";}
.glyphicon-tower:before{content:"\e184";}
.glyphicon-stats:before{content:"\e185";}
.glyphicon-sd-video:before{content:"\e186";}
.glyphicon-hd-video:before{content:"\e187";}
.glyphicon-subtitles:before{content:"\e188";}
.glyphicon-sound-stereo:before{content:"\e189";}
.glyphicon-sound-dolby:before{content:"\e190";}
.glyphicon-sound-5-1:before{content:"\e191";}
.glyphicon-sound-6-1:before{content:"\e192";}
.glyphicon-sound-7-1:before{content:"\e193";}
.glyphicon-copyright-mark:before{content:"\e194";}
.glyphicon-registration-mark:before{content:"\e195";}
.glyphicon-cloud-download:before{content:"\e197";}
.glyphicon-cloud-upload:before{content:"\e198";}
.glyphicon-tree-conifer:before{content:"\e199";}
.glyphicon-tree-deciduous:before{content:"\e200";}
.glyphicon-briefcase:before{content:"\1f4bc";}
.glyphicon-calendar:before{content:"\1f4c5";}
.glyphicon-pushpin:before{content:"\1f4cc";}
.glyphicon-paperclip:before{content:"\1f4ce";}
.glyphicon-camera:before{content:"\1f4f7";}
.glyphicon-lock:before{content:"\1f512";}
.glyphicon-bell:before{content:"\1f514";}
.glyphicon-bookmark:before{content:"\1f516";}
.glyphicon-fire:before{content:"\1f525";}
.glyphicon-wrench:before{content:"\1f527";}